<template>
  <div>
    <!-- eslint-disable-next-line vue/no-v-html -->
    <div v-html="content"></div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'

export default {
  /* eslint-disable */
  layout: ({ isDark }) => isDark ? 'header-black' : 'header-white',
  computed: {
    ...mapGetters(['modules/pages/Page']),
    page() {
      return this['modules/pages/Page'][0]
    },
    title() {
      return this.page.title.rendered
    },
    content() {
      return this.page.content.rendered.replace(/\[.*?\]/g, '')
    }
  },
  async fetch({ store, params }) {
    await store.dispatch('modules/pages/getPage', params.slug)
  },
  methods: {
    ...mapActions({
      getPage: 'modules/pages/getPage'
    })
  }
}
</script>

<style></style>
